Mukul,

Looks like you need to install the simplejson module. You can do that using 
easy_install.
-David

On Mon, Aug 5, 2013 at 4:28 AM, MUKUL GARG <gargmukk...@gmail.com> wrote:

> hi,
> after following these steps below error occured. please suggest what to do.
> [root@reviewboard branches]# svn ci -m ""
> Sending        AWF_2.0.1b14_readme.txt
> Transmitting file data .svn: Commit failed (details follow):
> svn: Commit blocked by pre-commit hook (exit code 1) with output:
> Traceback (most recent call last):
>   File 
> "/home/cmteam/csvn/data/repositories/product_java/hooks/pre-commit-hook-reviewboard.py",
>  
> line 60, in <module>
>     import postreview
>   File 
> "/home/cmteam/csvn/data/repositories/product_java/hooks/postreview.py", 
> line 8, in <module>
>     import simplejson
> ImportError: No module named simplejson
> [root@reviewboard branches]#
> Regards,
> Mukul Garg
> On Wednesday, 12 November 2008 15:57:15 UTC+5:30, tito - wrote:
>>
>> Hi everyone,
>>
>> At my company (netasq.com), we've work to use reviewboard with
>> pre-commit hook in subversion.
>> A developper can now post a review instead of real commiting his
>> changes. Example:
>>
>>
>> -------------------------------------------------------------------------------
>> 10:40:38 tito@quark reviewboard $ svn commit -m 'test review
>> (draftreview)' README
>> Envoi          README
>> Transmission des données .svn: Échec de la propagation (commit), détails :
>> svn: Commit blocked by pre-commit hook (exit code 1) with output:
>> Review request #34 posted.
>>
>> https://************/reviewboard/r/34
>>
>> -------------------------------------------------------------------------------
>>
>> Installation:
>>
>> 1/ To make it work, you need to copy
>> * postreview.py (a modified version of contrib/tools/post-review.py,
>> to make it work with custom diff)
>> * pre-commit-hook-reviewboard.py
>> in your hooks subversion directory, and make them executable.
>>
>> 2/ Open and edit configuration in pre-commit-hook-reviewboard.py
>>
>> 3/ Copy/paste content in your pre-commit subversion hook :
>> # Reviewbord pre-commit
>> REVIEWBOARD_HOOK=`dirname $0`/pre-commit-hook-reviewboard.py
>> $REVIEWBOARD_HOOK "$REPOS" "$TXN">> /tmp/reviewboard_commit.log
>> RET=$?
>> # 0  => no review
>> # <0 => error
>> # 1  => review posted
>>  if [ $RET -lt 0 ]; then
>>         echo >&2
>>         echo "Review asked, but we got an error." >&2
>>         echo "Please report this error to administrator, thanks !" >&2
>>         echo >&2
>>         exit 1
>> fi
>>
>> if [ $RET -eq 1 ]; then
>>         exit 1
>> fi
>>
>> I known it's not a perfect solution, but maybe the actual code can
>> help somebody :)
>>
>> Regards,
>>
>> Mathieu
>>
>>
> -- 
> Want to help the Review Board project? Donate today at 
> http://www.reviewboard.org/donate/
> Happy user? Let us know at http://www.reviewboard.org/users/
> -~----------~----~----~----~------~----~------~--~---
> To unsubscribe from this group, send email to 
> reviewboard+unsubscr...@googlegroups.com
> For more options, visit this group at 
> http://groups.google.com/group/reviewboard?hl=en
> --- 
> You received this message because you are subscribed to the Google Groups 
> "reviewboard" group.
> To unsubscribe from this group and stop receiving emails from it, send an 
> email to reviewboard+unsubscr...@googlegroups.com.
> For more options, visit https://groups.google.com/groups/opt_out.

-- 
Want to help the Review Board project? Donate today at 
http://www.reviewboard.org/donate/
Happy user? Let us know at http://www.reviewboard.org/users/
-~----------~----~----~----~------~----~------~--~---
To unsubscribe from this group, send email to 
reviewboard+unsubscr...@googlegroups.com
For more options, visit this group at 
http://groups.google.com/group/reviewboard?hl=en
--- 
You received this message because you are subscribed to the Google Groups 
"reviewboard" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to reviewboard+unsubscr...@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.


Reply via email to